// JavaScript Document
window.onload=yz;
function yz(){
	document.getElementById("btn").onclick=init;
	}
function init(){
	if(document.getElementById("gname").value==""){
		alert("商品名称不能为空！");
		document.getElementById("gname").focus();
		return false;	
	}
	if(document.getElementById("gname").value.length>30){
		alert("商品名称不能超过30个字符！");
		document.getElementById("gname").focus();
		return false;	
	}
	if(document.getElementById("classID").value=="0"){
		alert("请选择分类！");
		document.getElementById("classID").focus();	
		return false;
	}
	if(document.getElementById("price").value==""){
		alert("零售价不能为空！");
		document.getElementById("price").focus();
		return false;	
	}
	if(isNaN(document.getElementById("price").value)==true){
		alert("零售价只能由数字组成！");
		document.getElementById("price").focus();
		return false;	
	}
	if(document.getElementById("Stock").value==""){
		alert("库存量不能为空！");
		document.getElementById("Stock").focus();
		return false;	
	}
	if(isNaN(document.getElementById("Stock").value)==true){
		alert("库存量只能由数字组成！");
		document.getElementById("Stock").focus();
		return false;	
	}
	if(document.getElementById("uname").value==""){
		alert("会员名称不能为空！");
		document.getElementById("uname").focus();
		return false;	
	}
		if(document.getElementById("PWD").value==""){
		alert("会员密码不能为空！");
		document.getElementById("PWD").focus();
		return false;
	}
	if(document.getElementById("BID").value==""){
		alert("品牌不能为空！");
		document.getElementById("BID").focus();
		return false;	
	}
	
	if(document.getElementById("cname").value==""){
		alert("分类名称不能为空！");
		document.getElementById("cname").focus();
		return false;	
	}
	if(isNaN(document.getElementById("cname").value)==true){
		alert("分类名称只能由数字组成！");
		document.getElementById("cname").focus();
		return false;	
	}
		if(document.getElementById("bname").value==""){
		alert("分类名称不能为空！");
		document.getElementById("bname").focus();
		return false;	
	}
		if(document.getElementById("CID").value==""){
		alert("分类ID不能为空！");
		document.getElementById("CID").focus();
		return false;	
	}
	if(document.getElementById("oid").value==""){
		alert("订单号不能为空！");
		document.getElementById("oid").focus();
		return false;	
	}
	if(document.getElementById("uid").value==""){
		alert("订购人不能为空！");
		document.getElementById("uid").focus();
		return false;	
	}
	if(document.getElementById("addtime").value==""){
		alert("下单时间不能为空！");
		document.getElementById("addtime").focus();
		return false;	
	}
	if(document.getElementById("Bookgid").value==""){
		alert("订购商品ID不能为空！");
		document.getElementById("Bookgid").focus();
		return false;	
	}
	if(document.getElementById("booktotal").value==""){
		alert("订购数量不能为空！");
		document.getElementById("booktotal").focus();
		return false;	
	}
	if(isNaN(document.getElementById("booktotal").value)==true){
		alert("订购数量只能由数字组成！");
		document.getElementById("booktotal").focus();
		return false;	
	}
	if(document.getElementById("adminname").value==""){
		alert("管理员名称不能为空！");
		document.getElementById("adminname").focus();
		return false;	
	}
	if(document.getElementById("pwd").value==""){
		alert("管理员密码不能为空！");
		document.getElementById("pwd").focus();
		return false;	
	}
		if(document.getElementById("userid").value==""){
		alert("所管理的会员ID不能为空！");
		document.getElementById("userid").focus();
		return false;	
	}
}
